import { CustomError } from 'ts-custom-error';
import { ErrorCode } from "./error-codes";
export declare abstract class BaseError extends CustomError {
    readonly debugMessage?: string | undefined;
    abstract readonly code: ErrorCode;
    get message(): string;
    constructor(debugMessage?: string | undefined);
}
