"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_error_1 = require("./base.error");
const error_codes_1 = require("./error-codes");
class BigIntNotSupportedError extends base_error_1.BaseError {
    constructor() {
        super(...arguments);
        this.code = error_codes_1.ErrorCode.BIGINT_NOT_SUPPORTED;
    }
}
exports.BigIntNotSupportedError = BigIntNotSupportedError;
//# sourceMappingURL=big-int-not-supported.error.js.map