"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// -------------------------------------------------------------------------
// ERROR CODES
// -------------------------------------------------------------------------
var ErrorCode;
(function (ErrorCode) {
    ErrorCode[ErrorCode["OK"] = 0] = "OK";
    ErrorCode[ErrorCode["PRIMATIVE_OUT_OF_RANGE"] = 1001] = "PRIMATIVE_OUT_OF_RANGE";
    ErrorCode[ErrorCode["BIGINT_NOT_SUPPORTED"] = 1002] = "BIGINT_NOT_SUPPORTED";
})(ErrorCode = exports.ErrorCode || (exports.ErrorCode = {}));
/**
 * Converts an Error Code to a string
 *
 * @export
 * @param {ErrorCode} code
 * @returns
 */
function errorCodeToString(code) {
    return ErrorCode[code];
}
exports.errorCodeToString = errorCodeToString;
//# sourceMappingURL=error-codes.js.map