/// <reference types="node" />
import { BitOrder, Endian } from "../../constants";
/**
 * Gets a binary string representation of the target byte
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {('reversed' | 'normal')} [order='reversed']
 * @returns
 */
export declare function GetByteBinaryString(buffer: Buffer, pos: number, order?: BitOrder, endian?: Endian): string;
