/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Get 32 bit unsigned value 0..4294967296
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
export declare function GetUInt32At(buffer: Buffer, pos: number, endian?: Endian): number;
/**
 * Set 32 bit unsigned value 0..4294967295
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
export declare function SetUInt32At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
