/// <reference types="node" />
/**
 * Parses the entire buffer into a string based
 * on the specified encoding.
 *
 * @export
 * @param {Buffer} buffer
 * @param {BufferEncoding} [format=DEFAULT_STRING_ENCODING]
 * @returns {string}
 */
export declare function StringParser(buffer: Buffer, format?: BufferEncoding): string;
