"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./ValidateBigIntSupported"));
const errors_1 = require("../errors");
const IsBigIntSupported_1 = require("./IsBigIntSupported");
function ValidateBigIntSupported() {
    if (IsBigIntSupported_1.IsBigIntSupported() === false) {
        throw new errors_1.BigIntNotSupportedError();
    }
}
exports.ValidateBigIntSupported = ValidateBigIntSupported;
//# sourceMappingURL=ValidateBigIntSupported.js.map