/**
 * Checks if the number is in the range specified
 *
 * @export
 * @throws {OutOfRangeError}
 */
export declare function checkNumberInRange(num: bigint, min: bigint, max: bigint): void;
export declare function checkNumberInRange(num: number, min: number, max: number): void;
export declare function isInRange(num: number, min: number, max: number): boolean;
export declare function isInRange(num: bigint, min: bigint, max: bigint): boolean;
export declare function isInRange(num: number | bigint, min: number | bigint, max: number | bigint): boolean;
