"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
function messageConstructor(num, min, max) {
    return `Number ${num} falls out of range [${min}, ${max}]`;
}
function checkNumberInRange(num, min, max) {
    const message = messageConstructor(num, min, max);
    if (isInRange(num, min, max)) {
        return;
    }
    else {
        throw new errors_1.OutOfRangeError(message);
    }
}
exports.checkNumberInRange = checkNumberInRange;
function isInRange(num, min, max) {
    if (num >= min && num <= max) {
        return true;
    }
    else {
        return false;
    }
}
exports.isInRange = isInRange;
//# sourceMappingURL=checkNumberInRange.js.map