/// <reference types="node" />
import { BitOrder, Endian } from "../constants";
/**
 * Converts a buffer to a string array
 * where each string is 8 characters of
 * either a 1 or a 0.
 *
 * @export
 * @param {Buffer} buffer
 * @param {BitOrder} [order=DEFAULT_BIT_ORDER]
 * @returns {string[]}
 */
export declare function BufferToBitStringArray(buffer: Buffer, endian?: Endian, order?: BitOrder): string[];
