export declare type BitIndex = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7;
/**
 * Little or Big Endian
 */
export declare type Endian = 'LE' | 'BE';
export declare type Bit = 0 | 1;
export declare type Crumb = Bit | 2 | 3;
export declare type Nibble = Crumb | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15;
export declare type BitOrder = 'reversed' | 'normal';
