/// <reference types="node" />
/**
 * Get 8 bit signed value -128..127
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
export declare function GetInt8At(buffer: Buffer, pos: number): number;
/**
 * Set 8 bit signed value -128..127
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
export declare function SetInt8At(buffer: Buffer, pos: number, value: number): void;
