/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Get 8 bit unsigned value 0..255
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
export declare function GetUInt8At(buffer: Buffer, pos: number, endian?: Endian): number;
/**
 * Set 8 bit unsigned value 0..255
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
export declare function SetUInt8At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
