/// <reference types="node" />
/**
 * Get S7 DateTime from buffer at a starting position
 *
 * @export
 * @param {Buffer} buffer buffer containing the date time
 * @param {number} pos starting position
 * @returns
 */
export declare function GetS7DateTimeAt(buffer: Buffer, pos: number): Date;
/**
 * Set S7 DateTime from buffer at a starting position
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {Date} date
 */
export declare function SetS7DateTimeAt(buffer: Buffer, pos: number, date: Date): void;
