"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PrimativeNumber_1 = require("./PrimativeNumber");
class UInt32 extends PrimativeNumber_1.PrimativeNumber {
    constructor() {
        super(...arguments);
        this.min = 0;
        this.max = 4294967295;
    }
    createArray(length) {
        return new Array(length).fill(new UInt32());
    }
}
exports.UInt32 = UInt32;
//# sourceMappingURL=UInt32.js.map