"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Clones a buffer
 *
 * @export
 * @param {Buffer} buffer
 * @returns {Buffer}
 */
function CloneBuffer(buffer) {
    const numBytes = buffer.byteLength;
    const clonedBuffer = Buffer.alloc(numBytes);
    buffer.copy(clonedBuffer);
    return clonedBuffer;
}
exports.CloneBuffer = CloneBuffer;
//# sourceMappingURL=CloneBuffer.js.map