"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Swaps the high and low WORDS (UINT16)
 *
 * @param {Uint16Array} iData
 * @param {number} regSize
 * @returns
 */
function WordSwap(buffer) {
    const bufferLength = buffer.length;
    const oldWordArray = new Uint16Array(new Uint8Array(buffer).buffer);
    const newWordArray = new Uint16Array(bufferLength / 2);
    for (let i = 0; i <= oldWordArray.length; i += 2) {
        newWordArray[i] = oldWordArray[i + 1];
        newWordArray[i + 1] = oldWordArray[i];
    }
    return Buffer.from(newWordArray.buffer);
}
exports.WordSwap = WordSwap;
//# sourceMappingURL=WordSwap.js.map